DKMS is not installing the right kernel-devel package

Neal Gompa ngompa13 at gmail.com
Tue Jun 9 19:04:40 UTC 2015


Hey all,

I've noticed that when dkms is installed, it's not grabbing the right
kernel-devel package as a dependency. Instead, it grabs
kernel-debug-devel. This occurs on Fedora 21 and 22, and I'm not sure
why. If I install kernel-devel first, everything is fine. Otherwise,
it grabs the wrong kernel-devel and DKMS modules don't build.

I filed a bug for it on RHBZ too:
https://bugzilla.redhat.com/show_bug.cgi?id=1228897

Anyone have any idea why this is happening and a way to work around it?

-- 
真実はいつも一つ!/ Always, there's only one truth!


More information about the devel mailing list